<template>
	<CustomScrollBar style="max-height: 925px">
		<template v-slot:scrollBarContent>
			<v-card style="background-color: #f6f9fb">
				<div class="sticky">
					<v-card-title primary-title class="d-flex align-center justify-space-between">
						<v-avatar :size="60">
							<v-img :src="require('~/assets/images/logo.png')"></v-img>
						</v-avatar>
						<v-text-field class="ms-5" hide-details dense outlined placeholder="Search Chatly"></v-text-field>
					</v-card-title>
				</div>
				<v-divider></v-divider>
				<v-card-text>
					<div class="group-section">
						<LeftNavigationSection section-title="YOUR GROUPS" :items="groups" />
					</div>
					<div class="friend-section">
						<LeftNavigationSection section-title="FRIENDS" :show-status="true" :items="friends" />
					</div>
					<div class="suggested-section">
						<LeftNavigationSection section-title="SUGGESTED FRIENDS" :items="suggestedFriends" />
					</div>
				</v-card-text>
			</v-card>
		</template>
	</CustomScrollBar>
</template>

<script>
import CustomScrollBar from './CustomScrollBar.vue';
import LeftNavigationSection from './LeftNavigationSection.vue';
export default {
	name: 'LeftNavigation',
	components: { LeftNavigationSection, CustomScrollBar },
	data() {
		return {
			friends: [],
			groups: [],
			suggestedFriends: [],
		};
	},
	created() {
		this.getGroups();
		this.getFriends();
		this.getSuggestedFriends();
	},
	methods: {
		async getGroups() {
			const { data } = await this.$axios.get('https://randomuser.me/api/?results=5');
			this.groups = data.results;
		},
		async getFriends() {
			const { data } = await this.$axios.get('https://randomuser.me/api/?results=5');
			this.friends = data.results;
		},

		async getSuggestedFriends() {
			const { data } = await this.$axios.get('https://randomuser.me/api/?results=5');
			this.suggestedFriends = data.results;
		},
	},
};
</script>
